# binaryninja.interaction.ChoiceField

class `binaryninja.interaction.``ChoiceField`(prompt, choices)

  `ChoiceField` prompts the user to choose from the list of strings provided in `choices`. Result is stored in self.result as an index in to the choices array.

  Attr str prompt:
  | prompt to be presented to the user
  Attr list(str) choices:
  | list of choices to choose from

  `__init__`(prompt, choices)

  Methods

  `__init__`(prompt, choices) |